Overview
Developer Tools
Migration Guides
Travel Time Matrix API
Isochrone API
H3 API
Geohash API
Distance Map API
Routes API
Geocoding API
Additional API Reference
Error Handling
ArcGIS plugin
Alteryx plugin
/v4/time-filter/fastJSON API

Travel Time Matrix (Fast)
Copy link

A high performance version of the Travel Time Matrix (Time Filter) endpoint. This endpoint offers fewer configurable parameters but can handle very large volumes of locations with extremely low response times.

Available in most of the countries currently supported by the TravelTime API - a full list can be found at the bottom of the page here.

Request Body
Copy link

array[object]

Define your locations to use later in arrival_searches.

Hide child attributes

You will have to reference this id in your searches. It will also be used in the response body. Must be unique among all locations.

The coordinates of the locations.

Show child attributes

Searches based on arrival time. Arrive at a destination or multiple destinations at no later than given time.

Hide child attributes

This allows you to specify a single arrival location and multiple departure locations. You can define a maximum of 10 searches.

Hide child attributes

Used to identify each search in the results array. Must be unique among all searches.

The id of the location to arrive at. Must reference an id from the locations array.

The ids of the locations to depart from. Must reference ids from the locations array. You can define a maximum of 100,000 departure_location_ids.

Maximum journey time (in seconds).
Maximum value is 10800 (3 hours) as standard. To discuss increasing this, please contact hello@traveltime.com.

Possible values: weekday_morning

Properties to be returned about the points. Possible values: travel_time, distance (only for driving+ferry, cycling+ferry and walking+ferry transportation types), fares (UK only).

Show child attributes

Adjusts the process of looking up the nearest roads from the departure / arrival points.

Show child attributes

This allows you to specify a single departure location and multiple arrival locations. You can define a maximum of 10 searches.

Show child attributes

Response Body
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute

Hide child attributes
array[object]
Show child attributes
array[string]

Ids of locations that cannot be reached within the specified travel_time.

Examples
Copy link

Request
Copy link

Loading

Response Body
Copy link

Loading
Hide code example

Request

Loading

Response

Loading